package com.liquidnet.service.account.wallet.mapper;

import com.liquidnet.service.account.wallet.entity.FinDict;
import com.liquidnet.service.account.wallet.entity.FinDictExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface FinDictMapper {
    int countByExample(FinDictExample example);

    int insert(FinDict record);

    int insertSelective(FinDict record);

    List<FinDict> selectByExample(FinDictExample example);

    FinDict selectByPrimaryKey(String dictId);

    int updateByExampleSelective(@Param("record") FinDict record, @Param("example") FinDictExample example);

    int updateByExample(@Param("record") FinDict record, @Param("example") FinDictExample example);

    int updateByPrimaryKeySelective(FinDict record);

    int updateByPrimaryKey(FinDict record);
}